#include <definitions>

__E_CFG_VERSION 0

__ACLASS __BGN
  __NAME ACTION_FOR_TITLEBAR
  __TOOLTIP_TEXT "1. Move"
  __TOOLTIP_TEXT "2. Windowops"
  __TOOLTIP_TEXT "3. Windowops menu"
  __TOOLTIP_TEXT "Doubleclick. Shade"
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_PRESS
  __BUTTON 1
  __ACTION __A_MOVE
  __NEXT_ACTION
  __EVENT __MOUSE_PRESS
  __BUTTON 2
  __ACTION __A_SHOW_MENU "named WINOPS_MENU"
  __NEXT_ACTION
  __BUTTON 3
  __EVENT __MOUSE_RELEASE
  __ACTION __A_SLIDEOUT mainwindowslider
  __NEXT_ACTION
  __EVENT __DOUBLE_CLICK
  __ALLOW_ANY_BUTTON __ON
  __ACTION __A_SHADE
__END

__ACLASS __BGN
  __NAME ACTION_RESIZE
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_PRESS
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __BUTTON 1
  __ACTION __A_RESIZE
  __NEXT_ACTION
  __BUTTON 3
  __ACTION __A_MOVE
__END

__ACLASS __BGN
  __NAME ACTION_RESIZE_H
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_PRESS
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __BUTTON 1
  __ACTION __A_RESIZE_H
  __NEXT_ACTION
  __BUTTON 3
  __ACTION __A_MOVE
__END

__ACLASS __BGN
  __NAME ACTION_RESIZE_V
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_PRESS
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __BUTTON 1
  __ACTION __A_RESIZE_V
  __NEXT_ACTION
  __BUTTON 3
  __ACTION __A_MOVE
__END

__ACLASS __BGN
  __NAME ACTION_KILL
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_RELEASE
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __BUTTON 1
  __ACTION __A_KILL
  __NEXT_ACTION
  __BUTTON 2
  __ACTION __A_KILL_NASTY
__END

__ACLASS __BGN
  __NAME ACTION_MAX_V
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_RELEASE
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON
  __ACTION __A_MAX_HEIGHT
__END

__ACLASS __BGN
  __NAME ACTION_MAX
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_RELEASE
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON
  __ACTION __A_MAX_SIZE "conservative"
__END

__ACLASS __BGN
  __NAME ACTION_SHADE
  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_BUTTON __ON
  __EVENT __MOUSE_RELEASE
  __ACTION __A_SHADE
__END

__ACLASS __BGN
  __NAME ACTION_ICONIFY
  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __EVENT __MOUSE_RELEASE
  __ALLOW_ANY_BUTTON __ON
  __ACTION __A_ICONIFY
__END

__ACLASS __BGN
  __NAME ACTION_WINDOW_SLIDEOUT
  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_BUTTON __ON
  __EVENT __MOUSE_RELEASE
  __ACTION __A_SLIDEOUT mainwindowslider
__END

__ACLASS __BGN
  __NAME ACTION_RAISE
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_RELEASE
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON
  __ACTION __A_RAISE
__END

__ACLASS __BGN
  __NAME ACTION_LOWER
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_RELEASE
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON
  __ACTION __A_LOWER
__END

__ACLASS __BGN
  __NAME ACTION_ACTION_CLEANUP
  __TYPE __TYPE_NORMAL
  __EVENT __MOUSE_RELEASE
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __ALLOW_ANY_BUTTON __ON
  __ACTION __A_CLEANUP size
__END

__ACLASS __BGN
  __NAME ACTION_BUTTON_DRAG
  __TYPE __TYPE_NORMAL
  __ALLOW_ANY_BUTTON __ON
  __ALLOW_ANY_MODIFIER_KEYS __ON
  __EVENT __MOUSE_PRESS
  __ACTION __A_DRAG_BUTTON
__END
